=== added directory 'mrp_advance'
=== added directory 'mrp_advance/mrp_bom_cost'
=== added file 'mrp_advance/mrp_bom_cost/__init__.py'
--- mrp_advance/mrp_bom_cost/__init__.py	1970-01-01 00:00:00 +0000
+++ mrp_advance/mrp_bom_cost/__init__.py	2012-09-12 23:27:15 +0000
@@ -0,0 +1,26 @@
+# -*- encoding: utf-8 -*-
+###########################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#    Copyright (C) OpenERP Venezuela (<http://openerp.com.ve>).
+#    All Rights Reserved
+###############Credits######################################################
+#    Coded by: nhomar@openerp.com.ve,
+#    Planified by: Nhomar Hernandez
+#    Finance by: Helados Gilda, C.A. http://heladosgilda.com.ve
+#    Audited by: Humberto Arocha humberto@openerp.com.ve
+#############################################################################
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+##############################################################################
+import mrp
+import product

=== added file 'mrp_advance/mrp_bom_cost/__openerp__.py'
--- mrp_advance/mrp_bom_cost/__openerp__.py	1970-01-01 00:00:00 +0000
+++ mrp_advance/mrp_bom_cost/__openerp__.py	2012-09-12 23:27:15 +0000
@@ -0,0 +1,56 @@
+# -*- encoding: utf-8 -*-
+###########################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#    Copyright (C) OpenERP Venezuela (<http://openerp.com.ve>).
+#    All Rights Reserved
+###############Credits######################################################
+#    Coded by: nhomar@openerp.com.ve,
+#    Planified by: Nhomar Hernandez
+#    Finance by: Helados Gilda, C.A. http://heladosgilda.com.ve
+#    Audited by: Humberto Arocha humberto@openerp.com.ve
+#############################################################################
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+##############################################################################
+{
+    "name" : "mrp Advanced",
+    "version" : "0.1",
+    "depends" : ["mrp","product",],
+    "author" : "Openerp Venzuela",
+    "description" : """
+    What do this module:
+    Add cost managment feature to manage of production in mrp.bom Object.
+    -- Sum all elements on Bill of Material
+    -- If the element on bom child has only a Product Id the cost is taken from product.
+    -- If the element has bom children elements the process of calc is the same of parent.
+
+    Validate that the Unit to produce is in the same category of Unit for the product Id to avoid inconsistencies around unit conversion.
+    
+    Add field of type assets in product.template establishing if product is assets
+    Add menu Product Assets, Product for Sale
+    
+    Add field of type assets in mrp.bom establishing if bom is assets
+    Add menu Bom Assets, Bom for Sales
+                    """,
+    "website" : "http://openerp.com.ve",
+    "category" : "Generic Modules/MRP",
+    "init_xml" : [
+    ],
+    "demo_xml" : [
+    ],
+    "update_xml" : [
+        "mrp_po_view.xml",
+    ],
+    "active": False,
+    "installable": True,
+}

=== added directory 'mrp_advance/mrp_bom_cost/i18n'
=== added file 'mrp_advance/mrp_bom_cost/i18n/es_ES.po'
--- mrp_advance/mrp_bom_cost/i18n/es_ES.po	1970-01-01 00:00:00 +0000
+++ mrp_advance/mrp_bom_cost/i18n/es_ES.po	2012-09-12 23:27:15 +0000
@@ -0,0 +1,126 @@
+# Translation of OpenERP Server.
+# This file contains the translation of the following modules:
+#	* mrp_bom_cost
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: OpenERP Server 5.0.15\n"
+"Report-Msgid-Bugs-To: support@openerp.com\n"
+"POT-Creation-Date: 2011-04-01 19:54:18+0000\n"
+"PO-Revision-Date: 2011-04-01 19:54:18+0000\n"
+"Last-Translator: <>\n"
+"Language-Team: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: \n"
+"Plural-Forms: \n"
+
+#. module: mrp_bom_cost
+#: model:ir.module.module,description:mrp_bom_cost.module_meta_information
+msgid "\n"
+"    What do this module:\n"
+"    Add cost managment feature to manage of production in mrp.bom Object.\n"
+"    -- Sum all elements on Bill of Material\n"
+"    -- If the element on bom child has only a Product Id the cost is taken from product.\n"
+"    -- If the element has bom children elements the process of calc is the same of parent.\n"
+"\n"
+"    Validate that the Unit to produce is in the same category of Unit for the product Id to avoid inconsistencies around unit conversion.\n"
+"    \n"
+"    Add field of type assets in product.template establishing if product is assets\n"
+"    Add menu Product Assets, Product for Sale\n"
+"    \n"
+"    Add field of type assets in mrp.bom establishing if bom is assets\n"
+"    Add menu Bom Assets, Bom for Sales\n"
+"                    "
+msgstr "\n"
+"    Qué hace este modulo:\n"
+"    Añade la función de administración de costos para la gestión de producción en mrp.bom Objetos'.\n"
+"    -- Suma todos los elementos que se encuentran en la Lista de Materiales\n"
+"    -- Si el elemento de la LdM solo tiene un producto id, el costo es tomado del mismo producto.\n"
+"    -- Si el elemento de la LdM tiene elementos hijos el proceso de caculo es el mismo que se realiza con el padre.\n"
+"\n"
+"    Valida que la Unidad a Producir esta en la misma categoria que la Unidad del producto Id para evitar incoherencias en torno a la conversion de unidades.\n"
+"                    "
+
+#. module: mrp_bom_cost
+#: field:mrp.bom,cost_u:0
+msgid "Unit Cost"
+msgstr "Costo Unico"
+
+#. module: mrp_bom_cost
+#: help:product.template,product_active:0
+msgid "Determine if the product is of type active."
+msgstr "Determina si el producto es de tipo Bienes/Repuestos."
+
+#. module: mrp_bom_cost
+#: model:ir.actions.act_window,name:mrp_bom_cost.product_normal_action_sales
+#: model:ir.ui.menu,name:mrp_bom_cost.menu_products_sales
+msgid "Products for Sales"
+msgstr "Productos Comerciales"
+
+#. module: mrp_bom_cost
+#: field:mrp.bom,bom_assets:0
+#: field:product.template,product_active:0
+msgid "Assets"
+msgstr "Bienes/Repuestos"
+
+#. module: mrp_bom_cost
+#: model:ir.actions.act_window,name:mrp_bom_cost.mrp_bom_form_action_new_for_sales
+#: model:ir.ui.menu,name:mrp_bom_cost.menu_mrp_bom_form_action_new_for_sales
+msgid "New Bill of Materials for Sales"
+msgstr "Nueva Lista de Materiales Comercial"
+
+#. module: mrp_bom_cost
+#: field:mrp.bom,category_id:0
+msgid "unknown"
+msgstr "desconocido"
+
+#. module: mrp_bom_cost
+#: model:ir.actions.act_window,name:mrp_bom_cost.mrp_bom_form_action_assets
+#: model:ir.ui.menu,name:mrp_bom_cost.menu_mrp_bom_form_action_assets
+msgid "Bill of Materials Assets"
+msgstr "Lista de Materiales(LdM) Bienes/Repuestos"
+
+#. module: mrp_bom_cost
+#: constraint:ir.ui.view:0
+msgid "Invalid XML for View Architecture!"
+msgstr "¡XML inválido para la definición de la vista!"
+
+#. module: mrp_bom_cost
+#: model:ir.actions.act_window,name:mrp_bom_cost.mrp_bom_form_action_for_sales
+#: model:ir.ui.menu,name:mrp_bom_cost.menu_mrp_bom_form_action_for_sales
+msgid "Bill of Materials for Sales"
+msgstr "Lista de Materiales(LdM) Comercial"
+
+#. module: mrp_bom_cost
+#: help:mrp.bom,bom_assets:0
+msgid "Determine if the bom is of type assets."
+msgstr "Determina si la LdM es de tipo Bienes/Repuestos"
+
+#. module: mrp_bom_cost
+#: model:ir.actions.act_window,name:mrp_bom_cost.product_normal_action_assets
+#: model:ir.ui.menu,name:mrp_bom_cost.menu_products_assets
+msgid "Products Assets"
+msgstr "Productos de tipo Bienes/Repuestos"
+
+#. module: mrp_bom_cost
+#: field:mrp.bom,cost_t:0
+msgid "Cost"
+msgstr "Costo"
+
+#. module: mrp_bom_cost
+#: model:ir.actions.act_window,name:mrp_bom_cost.mrp_bom_form_action_new_assets
+#: model:ir.ui.menu,name:mrp_bom_cost.menu_mrp_bom_form_action_new_assets
+msgid "New Bill of Materials Assets"
+msgstr "Nueva Lista de Materiales Bienes/Repuestos"
+
+#. module: mrp_bom_cost
+#: constraint:ir.actions.act_window:0
+msgid "Invalid model name in the action definition."
+msgstr "Nombre de modelo no válido en la definición de acción."
+
+#. module: mrp_bom_cost
+#: model:ir.module.module,shortdesc:mrp_bom_cost.module_meta_information
+msgid "mrp Advanced"
+msgstr "mrp Avanzado"
+

=== added file 'mrp_advance/mrp_bom_cost/mrp.py'
--- mrp_advance/mrp_bom_cost/mrp.py	1970-01-01 00:00:00 +0000
+++ mrp_advance/mrp_bom_cost/mrp.py	2012-09-12 23:27:15 +0000
@@ -0,0 +1,92 @@
+# -*- encoding: utf-8 -*-
+###########################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#    Copyright (C) OpenERP Venezuela (<http://openerp.com.ve>).
+#    All Rights Reserved
+###############Credits######################################################
+#    Coded by: nhomar@openerp.com.ve,
+#    Planified by: Nhomar Hernandez
+#    Finance by: Helados Gilda, C.A. http://heladosgilda.com.ve
+#    Audited by: Humberto Arocha humberto@openerp.com.ve
+#############################################################################
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+##############################################################################
+from osv import osv
+from osv import fields
+from tools.translate import _
+
+class mrp_bom(osv.osv):
+    _inherit = 'mrp.bom'
+
+    def _calc_cost(self, cr, uid, ids, field_name, arg, context):
+        res={}
+        for i in self.browse(cr,uid,ids):
+            res[i.id] = self.compute_bom_cost(cr, uid, [i.id])
+        return res
+
+    def _calc_cost_u(self, cr, uid, ids, field_name, arg, context):
+        '''
+        funcion para el calculo del costo unitario, el cual es: product cost/ product qty
+        @cost = se almacena el costo unitario final.
+        @res = diccionario usado para retornar el id y el costo unitario.
+        '''
+        res={}
+        for i in self.browse(cr,uid,ids):
+            cost = 0.00
+            cost = i.cost_t/i.product_qty
+            for l in i.bom_lines:
+                if not l.bom_lines:
+                    cost =  l.product_id.standard_price*l.product_qty
+                    res[i.id]= cost
+                else:
+                    cost = cost + self._calc_cost_u(cr,uid,[l.id],field_name,arg,context)[l.id]*l.product_qty
+                    res[i.id]=cost/l.product_qty
+            res[i.id] = i.cost_t/i.product_qty
+        return res
+
+    def _get_category(self, cr, uid, ids, field_name, arg, context):
+        '''
+        funcion para obtener la categoria del producto y luego aplicarla para la filtracion
+        de las categorias de los campos product_uom  y product_uos
+        '''
+        res={}
+        for i in self.browse(cr,uid,ids):
+            res[i.id] = (i.product_id.uom_id.category_id.id,i.product_id.uom_id.category_id.name)
+        return res
+
+    _columns = {
+        'cost_t': fields.function(_calc_cost, method=True, type='float', string='Cost', store=False),
+        'cost_u': fields.function(_calc_cost_u, method=True, type='float', string='Unit Cost', store=False),
+        'category_id': fields.function(_get_category, method=True, type='many2one',relation='product.uom.categ'),
+        #~ 'bom_assets':fields.boolean('Assets', help="Determine if the bom is of type assets."),
+    }
+    
+
+    def compute_bom_cost(self, cr, uid, ids, *args):
+        for i in self.browse(cr,uid,ids):
+            cost = 0.00
+            if i.bom_lines:
+                for l in i.bom_lines:
+                    cost += self.compute_bom_cost(cr, uid, [l.id])
+            else:
+                cost = i.product_id.standard_price*i.product_qty* i.product_uom.factor_inv * i.product_id.uom_id.factor
+                
+            if i.routing_id:
+                for j in i.routing_id.workcenter_lines:
+                    cost += j.costo_total
+                
+        return cost
+    
+mrp_bom()
+

=== added file 'mrp_advance/mrp_bom_cost/mrp_po_view.xml'
--- mrp_advance/mrp_bom_cost/mrp_po_view.xml	1970-01-01 00:00:00 +0000
+++ mrp_advance/mrp_bom_cost/mrp_po_view.xml	2012-09-12 23:27:15 +0000
@@ -0,0 +1,164 @@
+<?xml version="1.0"?>
+<openerp>
+    <data>
+    <menuitem id="menu_mrp_product" name="Products" parent="base.menu_mrp_root" sequence="1"/>
+<!--Product
+    new sub-menu:Products Assets, Products for Sales.
+    -->
+        <record id="product_normal_action_assets" model="ir.actions.act_window">
+            <field name="name">Products Assets</field>
+            <field name="type">ir.actions.act_window</field>
+            <field name="res_model">product.product</field>
+            <field name="domain">[('product_active','=',True)]</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">tree,form</field>
+        </record>
+        <menuitem action="product_normal_action_assets" id="menu_products_assets" parent="menu_mrp_product" sequence="18"/>
+
+        <record id="product_normal_action_sales" model="ir.actions.act_window">
+            <field name="name">Products for Sales</field>
+            <field name="type">ir.actions.act_window</field>
+            <field name="res_model">product.product</field>
+            <field name="domain">[('product_active','=',False)]</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">tree,form</field>
+        </record>
+        <menuitem action="product_normal_action_sales" id="menu_products_sales" parent="menu_mrp_product" sequence="18"/>
+
+    <!--Product
+    new field of type active in product.template
+    -->
+        <record id="product_normal_form_active" model="ir.ui.view">
+            <field name="name">product.normal.form_active</field>
+            <field name="model">product.product</field>
+            <field name="type">form</field>
+            <field name="inherit_id" ref="product.product_normal_form_view"/>
+            <field name="arch" type="xml">
+                <field name="product_manager" position="after">
+                    <field name="product_active" select="2"/>
+                </field> 
+            </field>
+        </record>
+
+        <record id="product_template_form_view_active" model="ir.ui.view">
+            <field name="name">product.template.product.form_active</field>
+            <field name="model">product.template</field>
+            <field name="type">form</field>
+            <field name="inherit_id" ref="product.product_template_form_view"/>
+            <field name="arch" type="xml">
+                <field name="product_manager" position="after">
+                    <field name="product_active" select="2"/>
+                </field> 
+            </field>
+        </record>
+        
+    <!--MRP
+    Bill of Materials
+    -->
+
+   <!-- bom Assets -->
+        <record id="mrp_bom_form_action_assets" model="ir.actions.act_window">
+            <field name="name">Bill of Materials Assets</field>
+            <field name="type">ir.actions.act_window</field>
+            <field name="res_model">mrp.bom</field>
+            <field name="view_type">form</field>
+            <field name="domain">[('bom_id','=',False),('bom_assets','=',True)]</field>
+        </record>
+        <menuitem action="mrp_bom_form_action_assets" id="menu_mrp_bom_form_action_assets" parent="mrp.menu_mrp_configuration"/>
+
+        <record id="mrp_bom_form_action_new_assets" model="ir.actions.act_window">
+            <field name="name">New Bill of Materials Assets</field>
+            <field name="type">ir.actions.act_window</field>
+            <field name="res_model">mrp.bom</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">form,tree</field>
+            <field name="domain">[('bom_id','=',False),('bom_assets','=',True)]</field>
+            <field name="context">{'bom_assets': True}</field>
+        </record>
+        <menuitem action="mrp_bom_form_action_new_assets" id="menu_mrp_bom_form_action_new_assets" parent="menu_mrp_bom_form_action_assets"/> 
+
+<!-- bom for Sales -->
+        <record id="mrp_bom_form_action_for_sales" model="ir.actions.act_window">
+            <field name="name">Bill of Materials for Sales</field>
+            <field name="type">ir.actions.act_window</field>
+            <field name="res_model">mrp.bom</field>
+            <field name="view_type">form</field>
+            <field name="domain">[('bom_id','=',False),('bom_assets','=',False)]</field>
+        </record>
+        <menuitem action="mrp_bom_form_action_for_sales" id="menu_mrp_bom_form_action_for_sales" parent="mrp.menu_mrp_configuration"/>
+
+        <record id="mrp_bom_form_action_new_for_sales" model="ir.actions.act_window">
+            <field name="name">New Bill of Materials for Sales</field>
+            <field name="type">ir.actions.act_window</field>
+            <field name="res_model">mrp.bom</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">form,tree</field>
+            <field name="domain">[('bom_id','=',False),('bom_assets','=',False)]</field>
+            <field name="context">{'bom_assets': False}</field>
+        </record>
+        <menuitem action="mrp_bom_form_action_new_for_sales" id="menu_mrp_bom_form_action_new_for_sales" parent="menu_mrp_bom_form_action_for_sales"/>
+
+<!-- field bom_assets 
+            <record model="ir.ui.view" id="view_mrp_bom_form_cost_assets">
+            <field name="name">mrp.bom.form.cost_assets</field>
+            <field name="model">mrp.bom</field>
+            <field name="type">form</field>
+            <field name="inherit_id" ref="mrp.mrp_bom_form_view"/>
+            <field name="arch" type="xml">
+                <field name="type" position="after">
+                    <field name="bom_assets" invisible='0'/>
+                </field>                
+            </field>
+        </record>
+-->
+            <record model="ir.ui.view" id="view_mrp_bom_form_cost1">
+            <field name="name">mrp.bom.form.cost_t1</field>
+            <field name="model">mrp.bom</field>
+            <field name="type">form</field>
+            <field name="inherit_id" ref="mrp.mrp_bom_form_view"/>
+            <field name="arch" type="xml">
+                <field name="product_uom" position="before">
+                    <field name="category_id" invisible='1'/>
+                </field>                
+            </field>
+        </record>
+
+            <record model="ir.ui.view" id="view_mrp_bom_form_cost2">
+            <field name="name">mrp.bom.form.cost_t2</field>
+            <field name="model">mrp.bom</field>
+            <field name="type">form</field>
+            <field name="inherit_id" ref="mrp.mrp_bom_form_view"/>
+            <field name="arch" type="xml">
+                <field name="product_uom" position="replace">
+                    <field name="product_uom" required='1' domain="[('category_id','=',category_id)]"/>
+                </field>                
+            </field>
+        </record>
+
+        <record model="ir.ui.view" id="view_mrp_bom_form_cost">
+            <field name="name">mrp.bom.form.cost_t</field>
+            <field name="model">mrp.bom</field>
+            <field name="type">form</field>
+            <field name="inherit_id" ref="mrp.mrp_bom_form_view"/>
+            <field name="arch" type="xml">
+                <field name="bom_lines" position="after">
+                    <field name="cost_t"/>
+                    <field name="cost_u"/>
+                </field>
+            </field>
+        </record>
+        <record model="ir.ui.view" id="view_mrp_bom_tree_cost">
+            <field name="name">mrp.bom.tree.cost_t</field>
+            <field name="model">mrp.bom</field>
+            <field name="type">tree</field>
+            <field name="inherit_id" ref="mrp.mrp_bom_tree_view"/>
+            <field name="arch" type="xml">
+                <field name="product_uom" position="after">
+                    <field name="cost_t"/>
+                    <field name="cost_u"/>
+                </field>
+            </field>
+        </record>
+        
+    </data>
+</openerp>

=== added file 'mrp_advance/mrp_bom_cost/product.py'
--- mrp_advance/mrp_bom_cost/product.py	1970-01-01 00:00:00 +0000
+++ mrp_advance/mrp_bom_cost/product.py	2012-09-12 23:27:15 +0000
@@ -0,0 +1,38 @@
+# -*- encoding: utf-8 -*-
+###########################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#    Copyright (C) OpenERP Venezuela (<http://openerp.com.ve>).
+#    All Rights Reserved
+###############Credits######################################################
+#    Coded by: nhomar@openerp.com.ve,
+#    Planified by: Nhomar Hernandez
+#    Finance by: Helados Gilda, C.A. http://heladosgilda.com.ve
+#    Audited by: Humberto Arocha humberto@openerp.com.ve
+#############################################################################
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+##############################################################################
+from osv import osv
+from osv import fields
+from tools.translate import _
+
+class product_template(osv.osv):
+    _inherit = 'product.template' 
+
+    _columns = {
+        'product_active':fields.boolean('Assets', help="Determine if the product is of type active."),
+    }
+    _defaults = {
+        'product_active': lambda *a: 0,
+    }
+product_template()

